Index: common/plugins/org.jboss.tools.common.jdt.debug/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.jdt.debug/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.jdt.debug/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.common.jdt.debug;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.common.jdt.debug.RemoteDebugActivator
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.core.resources;bundle-version="3.7.100",
Index: common/plugins/org.jboss.tools.common.mylyn/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.mylyn/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.mylyn/META-INF/MANIFEST.MF	(working copy)
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: JBoss Tools Mylyn Connections
 Bundle-SymbolicName: org.jboss.tools.common.mylyn;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Vendor: JBoss by Red Hat
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.jboss.tools.common.mylyn,
- org.eclipse.mylyn;bundle-version="3.6.5",
+ org.eclipse.mylyn;bundle-version="3.6.0",
  org.eclipse.mylyn.commons.core;bundle-version="3.6.0",
- org.eclipse.mylyn.commons.ui;bundle-version="3.6.1",
- org.eclipse.mylyn.tasks.core;bundle-version="3.6.1",
- org.eclipse.mylyn.tasks.ui;bundle-version="3.6.5",
+ org.eclipse.mylyn.commons.ui;bundle-version="3.6.0",
+ org.eclipse.mylyn.tasks.core;bundle-version="3.6.0",
+ org.eclipse.mylyn.tasks.ui;bundle-version="3.6.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
  com.atlassian.connector.eclipse.commons.core;bundle-version="3.0.2";resolution:=optional,
  com.atlassian.connector.eclipse.commons.ui;bundle-version="3.0.2";resolution:=optional,
Index: common/plugins/org.jboss.tools.common.el.ui/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.el.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.el.ui/META-INF/MANIFEST.MF	(working copy)
@@ -4,7 +4,7 @@
 Bundle-Localization: plugin
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.el.ui;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Export-Package: org.jboss.tools.common.el.ui,
  org.jboss.tools.common.el.ui.ca
 Bundle-Activator: org.jboss.tools.common.el.ui.ElUiPlugin
Index: common/plugins/org.jboss.tools.common.model.ui/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.model.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.model.ui/META-INF/MANIFEST.MF	(working copy)
@@ -93,7 +93,7 @@
  org.jboss.tools.common.ui,
  org.eclipse.jst.standard.schemas;bundle-version="1.2.0",
  org.eclipse.wst.standard.schemas;bundle-version="1.0.300"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-ClassPath: org.jboss.tools.common.model.ui.jar
 Eclipse-BundleShape: dir
Index: common/plugins/org.jboss.tools.common.resref.core/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.resref.core/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.resref.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.resref.core
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.common.resref.core.ResourceReferencePlugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: common/plugins/org.jboss.tools.common.ui/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.ui/META-INF/MANIFEST.MF	(working copy)
@@ -4,7 +4,7 @@
 Bundle-Name: %Bundle-Name.0
 Bundle-Activator: org.jboss.tools.common.ui.CommonUIPlugin
 Bundle-SymbolicName: org.jboss.tools.common.ui;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.eclipse.osgi;bundle-version="3.7.0",
  org.jboss.tools.common,
  org.eclipse.ui;bundle-version="3.7.0",
@@ -30,7 +30,7 @@
  org.eclipse.ltk.core.refactoring;bundle-version="3.5.200",
  org.eclipse.jpt.common.core;bundle-version="1.0.0",
  org.eclipse.ltk.ui.refactoring;bundle-version="3.6.0",
- org.eclipse.wst.server.ui;bundle-version="1.3.0",
+ org.eclipse.wst.server.ui;bundle-version="1.1.305",
  org.eclipse.jdt.junit;bundle-version="3.7.0"
 Export-Package: org.jboss.tools.common.ui,
  org.jboss.tools.common.ui.databinding,
Index: common/plugins/org.jboss.tools.common.jdt/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.jdt/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.jdt/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.common.jdt;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.common.jdt.core.JDTExtActivator
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.jdt.core;bundle-version="3.7.0",
Index: common/plugins/org.jboss.tools.common.verification/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.verification/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.verification/META-INF/MANIFEST.MF	(working copy)
@@ -22,5 +22,5 @@
  org.eclipse.core.resources;bundle-version="3.7.100",
  org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.wst.validation;bundle-version="1.2.300"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
Index: common/plugins/org.jboss.tools.common.jdt.debug.ui/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.jdt.debug.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.jdt.debug.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.common.jdt.debug.ui;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.common.jdt.debug.ui.RemoteDebugUIActivator
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: common/plugins/org.jboss.tools.common.text.ext/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.text.ext/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.text.ext/META-INF/MANIFEST.MF	(working copy)
@@ -7,7 +7,7 @@
  org.jboss.tools.common.text.ext.hyperlink.xpl,
  org.jboss.tools.common.text.ext.util,
  org.jboss.tools.common.text.ext.util.xpl
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Name: %Bundle-Name.0
 Bundle-ManifestVersion: 2
 Bundle-Vendor: %providerName
Index: common/plugins/org.jboss.tools.common.text.xml/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.text.xml/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.text.xml/META-INF/MANIFEST.MF	(working copy)
@@ -30,6 +30,6 @@
  org.eclipse.wst.dtd.ui;bundle-version="1.0.600",
  org.junit;bundle-version="3.8.2",
  org.eclipse.ui.ide;bundle-version="3.7.0"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-ClassPath: .
Index: common/plugins/org.jboss.tools.common.projecttemplates/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.projecttemplates/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.projecttemplates/META-INF/MANIFEST.MF	(working copy)
@@ -9,7 +9,7 @@
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.ui;bundle-version="3.7.0",
  org.jboss.tools.common
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Eclipse-BundleShape: dir
Index: common/plugins/org.jboss.tools.common.el.core/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.el.core/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.el.core/META-INF/MANIFEST.MF	(working copy)
@@ -5,7 +5,7 @@
 Bundle-Localization: plugin
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.el.core;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Export-Package: org.jboss.tools.common.el.core,
  org.jboss.tools.common.el.core.ca,
  org.jboss.tools.common.el.core.ca.preferences,
Index: common/plugins/org.jboss.tools.common.validation/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.validation/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.validation/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.validation;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.common.validation.CommonValidationPlugin
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
Index: common/plugins/org.jboss.tools.common.jdt.ui/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.jdt.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.jdt.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.common.jdt.ui;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.common.jdt.ui.JDTExtUIActivator
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: common/plugins/org.jboss.tools.common.verification.ui/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.verification.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.verification.ui/META-INF/MANIFEST.MF	(working copy)
@@ -30,5 +30,5 @@
  org.eclipse.jface;bundle-version="3.7.0",
  org.eclipse.wst.common.project.facet.core;bundle-version="1.4.200",
  org.eclipse.wst.validation;bundle-version="1.2.300"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
Index: common/plugins/org.jboss.tools.common.model/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.model/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.model/META-INF/MANIFEST.MF	(working copy)
@@ -87,7 +87,7 @@
  org.eclipse.core.resources;visibility:=reexport;bundle-version="3.7.100",
  org.eclipse.core.runtime;visibility:=reexport;bundle-version="3.7.0",
  org.eclipse.core.filesystem
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ClassPath: org.jboss.tools.common.model.jar
 Eclipse-BundleShape: dir
Index: common/plugins/org.jboss.tools.common.gef/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.gef/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.gef/META-INF/MANIFEST.MF	(working copy)
@@ -27,6 +27,6 @@
  org.eclipse.gef;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.core.resources;bundle-version="3.7.100"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Eclipse-BundleShape: dir
Index: common/plugins/org.jboss.tools.common/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common/META-INF/MANIFEST.MF	(working copy)
@@ -41,7 +41,7 @@
  org.eclipse.ui.editors;bundle-version="3.7.0",
  org.eclipse.jpt.common.core;bundle-version="1.0.0",
  org.eclipse.ltk.core.refactoring;bundle-version="3.5.200"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Index: common/plugins/org.jboss.tools.common.resref.ui/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.resref.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.resref.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.resref.ui
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.common.resref.ui.Activator
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: common/plugins/org.jboss.tools.common.meta.ui/META-INF/MANIFEST.MF
===================================================================
--- common/plugins/org.jboss.tools.common.meta.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ common/plugins/org.jboss.tools.common.meta.ui/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.meta.ui;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
 Require-Bundle: org.jboss.tools.common.model,
Index: common/tests/org.jboss.tools.common.el.core.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.el.core.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.el.core.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.el.core.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %Bundle-Vendor.0
 Export-Package: org.jboss.tools.common.el.core.test
Index: common/tests/org.jboss.tools.common.mylyn.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.mylyn.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.mylyn.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.jboss.tools.common.mylyn.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.jboss.tools.common.mylyn,
  org.junit,
  org.eclipse.mylyn;bundle-version="3.6.0",
Index: common/tests/org.jboss.tools.common.validation.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.validation.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.validation.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Common Validation Test
 Bundle-SymbolicName: org.jboss.tools.common.validation.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Vendor: JBoss by Red Hat
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.jboss.tools.tests,
Index: common/tests/org.jboss.tools.common.base.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.base.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.base.test/META-INF/MANIFEST.MF	(working copy)
@@ -36,6 +36,6 @@
  org.jboss.tools.common.model;bundle-version="3.3.0",
  org.eclipse.search;bundle-version="3.7.0",
  org.jboss.tools.common.ui
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ClassPath: .
Index: common/tests/org.jboss.tools.common.model.ui.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.model.ui.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.model.ui.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.model.ui.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.junit;bundle-version="3.8.2";visibility:=reexport,
  org.eclipse.jface,
  org.jboss.tools.tests,
Index: common/tests/org.jboss.tools.common.ui.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.ui.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.ui.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.ui.test
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Vendor: %Bundle-Vendor.0
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
Index: common/tests/org.jboss.tools.common.verification.ui.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.verification.ui.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.verification.ui.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: Verification UI Test Plug-in
 Bundle-SymbolicName: org.jboss.tools.common.verification.ui.test
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.junit,
  org.jboss.tools.tests,
  org.eclipse.jface,
Index: common/tests/org.jboss.tools.common.model.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.model.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.model.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.model.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Vendor: %Bundle-Vendor.0
 Export-Package: org.jboss.tools.common.model.test,
  org.jboss.tools.common.model.util.test
Index: common/tests/org.jboss.tools.common.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.test
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Vendor: %Bundle-Vendor.0
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
Index: common/tests/org.jboss.tools.common.verification.test/META-INF/MANIFEST.MF
===================================================================
--- common/tests/org.jboss.tools.common.verification.test/META-INF/MANIFEST.MF	(revision 42333)
+++ common/tests/org.jboss.tools.common.verification.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.common.verification.test;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-ClassPath: .
 Bundle-Vendor: %Bundle-Vendor.0
 Export-Package: org.jboss.tools.common.verification.test
Index: jst/plugins/org.jboss.tools.jst.firstrun/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.firstrun/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.firstrun/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.jst.firstrun;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Vendor: %Bundle-Vendor.0
 Require-Bundle: org.eclipse.ui.workbench;bundle-version="3.7.0",
  org.eclipse.wst.server.core;bundle-version="1.1.302",
Index: jst/plugins/org.jboss.tools.jst.jsp/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.jsp/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.jsp/META-INF/MANIFEST.MF	(working copy)
@@ -58,6 +58,6 @@
  org.eclipse.jst.standard.schemas;bundle-version="1.2.0",
  org.eclipse.wst.standard.schemas;bundle-version="1.0.300",
  org.jboss.tools.common.el.ui
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ClassPath: .
Index: jst/plugins/org.jboss.tools.jst.web.tiles/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.web.tiles/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.web.tiles/META-INF/MANIFEST.MF	(working copy)
@@ -24,5 +24,5 @@
  org.eclipse.ltk.ui.refactoring;bundle-version="3.5.100",
  org.eclipse.core.resources;bundle-version="3.7.100",
  org.eclipse.core.runtime;bundle-version="3.7.0"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
Index: jst/plugins/org.jboss.tools.jst.web/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.web/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.web/META-INF/MANIFEST.MF	(working copy)
@@ -26,7 +26,7 @@
  org.eclipse.wst.validation;bundle-version="1.2.300",
  org.eclipse.jst.j2ee.ejb;bundle-version="1.1.502",
  org.eclipse.jst.j2ee.web;bundle-version="1.1.500"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Export-Package: 
  org.jboss.tools.jst.web,
  org.jboss.tools.jst.web.browser,
Index: jst/plugins/org.jboss.tools.jst.web.verification/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.web.verification/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.web.verification/META-INF/MANIFEST.MF	(working copy)
@@ -13,6 +13,6 @@
  org.jboss.tools.common.model,
  org.jboss.tools.common.verification,
  org.jboss.tools.jst.web
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
Index: jst/plugins/org.jboss.tools.jst.text.ext/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.text.ext/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.text.ext/META-INF/MANIFEST.MF	(working copy)
@@ -5,7 +5,7 @@
  org.jboss.tools.jst.text.ext.hyperlink,
  org.jboss.tools.jst.text.ext.hyperlink.jsp,
  org.jboss.tools.jst.text.ext.util
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Name: %Bundle-Name.0
 Bundle-ManifestVersion: 2
 Bundle-Vendor: %providerName
Index: jst/plugins/org.jboss.tools.jst.css/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.css/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.css/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.jst.css;singleton:=true
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.jst.css.CSSPlugin
 Bundle-Vendor: %Bundle-Vendor
 Bundle-Localization: plugin
Index: jst/plugins/org.jboss.tools.jst.web.kb/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.web.kb/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.web.kb/META-INF/MANIFEST.MF	(working copy)
@@ -3,7 +3,7 @@
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.jst.web.kb;singleton:=true
 Bundle-Localization: plugin
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-Activator: org.jboss.tools.jst.web.kb.WebKbPlugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
Index: jst/plugins/org.jboss.tools.jst.web.tiles.ui/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.web.tiles.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.web.tiles.ui/META-INF/MANIFEST.MF	(working copy)
@@ -47,5 +47,5 @@
  org.eclipse.core.runtime;bundle-version="3.7.0",
  org.eclipse.gef;bundle-version="3.7.0",
  org.eclipse.core.expressions;bundle-version="3.4.200"
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
Index: jst/plugins/org.jboss.tools.jst.web.ui/META-INF/MANIFEST.MF
===================================================================
--- jst/plugins/org.jboss.tools.jst.web.ui/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.web.ui/META-INF/MANIFEST.MF	(working copy)
@@ -51,7 +51,7 @@
  org.eclipse.datatools.connectivity.ui.dse;bundle-version="1.1.4",
  org.eclipse.datatools.connectivity.db.generic.ui;bundle-version="1.0.1",
  org.jboss.tools.common.el.ui,
- org.eclipse.wst.html.core;bundle-version="1.1.502"
-Bundle-Version: 3.3.0.qualifier
+ org.eclipse.wst.html.core;bundle-version="1.1.500"
+Bundle-Version: 3.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-ClassPath: .
Index: jst/plugins/org.jboss.tools.jst.web.ui/src/org/jboss/tools/jst/web/ui/wizards/newfile/NewXHTMLFileWizardPage.java
===================================================================
--- jst/plugins/org.jboss.tools.jst.web.ui/src/org/jboss/tools/jst/web/ui/wizards/newfile/NewXHTMLFileWizardPage.java	(revision 42333)
+++ jst/plugins/org.jboss.tools.jst.web.ui/src/org/jboss/tools/jst/web/ui/wizards/newfile/NewXHTMLFileWizardPage.java	(working copy)
@@ -14,6 +14,7 @@
 import java.util.Arrays;
 import java.util.List;
 
+import org.eclipse.core.resources.IContainer;
 import org.eclipse.core.resources.IProject;
 import org.eclipse.core.resources.IResource;
 import org.eclipse.core.resources.IWorkspace;
@@ -21,6 +22,7 @@
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IPath;
 import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Path;
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.core.runtime.Preferences;
 import org.eclipse.core.runtime.content.IContentType;
@@ -29,6 +31,9 @@
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.dialogs.WizardNewFileCreationPage;
+import org.eclipse.wst.common.componentcore.ComponentCore;
+import org.eclipse.wst.common.componentcore.ModuleCoreNature;
+import org.eclipse.wst.common.componentcore.resources.IVirtualFolder;
 import org.eclipse.wst.common.project.facet.core.IFacetedProject;
 import org.eclipse.wst.common.project.facet.core.IProjectFacet;
 import org.eclipse.wst.common.project.facet.core.ProjectFacetsManager;
@@ -146,7 +151,14 @@
 			// if inside web project, check if inside webContent folder
 			if (project != null && isWebProject(project)) {
 				// check that the path is inside the webContent folder
-				IPath[] webContentPaths = FacetModuleCoreSupport.getAcceptableRootPaths(project);
+				IPath[] webContentPaths;
+				try {
+					webContentPaths = getAcceptableRootPaths(project);
+				}
+				catch (NoClassDefFoundError e) {
+					//ignore
+					webContentPaths = new IPath[]{project.getFullPath()};
+				}
 				boolean isPrefix = false;
 				for (int i = 0; !isPrefix && i < webContentPaths.length; i++) {
 					isPrefix |= webContentPaths[i].isPrefixOf(fullPath);
@@ -160,6 +172,26 @@
 		return true;
 	}
 
+	static IPath[] getAcceptableRootPaths(IProject project) {
+		if (!ModuleCoreNature.isFlexibleProject(project)) {
+			return new IPath[]{project.getFullPath()};
+		}
+
+		IPath[] paths = null;
+		IVirtualFolder componentFolder = ComponentCore.createFolder(project, Path.ROOT);
+		if (componentFolder != null && componentFolder.exists()) {
+			IContainer[] workspaceFolders = componentFolder.getUnderlyingFolders();
+			paths = new IPath[workspaceFolders.length];
+			for (int i = 0; i < workspaceFolders.length; i++) {
+				paths[i] = workspaceFolders[i].getFullPath();
+			}
+		}
+		else {
+			paths = new IPath[]{project.getFullPath()};
+		}
+		return paths;
+	}
+	
 	/**
 	 * Get content type associated with this new file wizard
 	 * 
Index: jst/tests/org.jboss.tools.jst.text.ext.test/META-INF/MANIFEST.MF
===================================================================
--- jst/tests/org.jboss.tools.jst.text.ext.test/META-INF/MANIFEST.MF	(revision 42333)
+++ jst/tests/org.jboss.tools.jst.text.ext.test/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.jst.text.ext.test
-Bundle-Version: 3.3.0.qualifier
+Bundle-Version: 3.3.1.qualifier
 Require-Bundle: org.jboss.tools.common.text.ext,
  org.junit,
  org.jboss.tools.tests,
